Memory Stores
Update a memory item
Updates the specified memory item in the memory store.
Parâmetros do cabeçalho
Foundry-Features
enum
exigido
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parâmetros de caminho
name
string
exigido
The name of the memory store.
memory_id
string
exigido
The ID of the memory item to update.
Parâmetros de consulta
api-version
string
exigido
The API version to use for this operation.
Corpo da solicitação
content
string
exigido
The updated content of the memory.
Respostas
The request has succeeded.
Corpo
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
exigido
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
exigido
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
exigido
The kind of the memory item.
Solicitar
POST /memory_stores/{name}/items/{memory_id} HTTP/1.1
Resposta
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json